<?php
include "../../inc/inc.koneksi.php";
session_start();

$table		="setor_bbm";

$kode		=$_POST[kode];
$tanggal	=$_POST[tanggal];
$shift		=$_POST[shift];
$kodetl 	=$_POST[kodetl];
$jenis  	=$_POST[jenis];
$tanki    	=$_POST[tanki];
$telleraw 	=$_POST[telleraw];
$tellerak 	=$_POST[tellerak];
$jmlkeluar	=$_POST[jmlkeluar];
$jmltera	=$_POST[jmltera];
$jmlbon 	=$_POST[jmlbon];
$jmltunai	=$_POST[jmltunai];
$nilaitunai	=$_POST[nilaitunai];
$hpptunai	=$_POST[hpptunai];
$user		=$_SESSION[namauser];
$jlbon 		=(int) $jmlbon;
$jltunai	=(int) $jmltunai;
$jmlliter   =$jmltunai+$jmlbon;

$sql	= mysql_query("SELECT * FROM interface");
$r 		= mysql_fetch_assoc($sql);
$kas 		= $r[kas];
$piut 		= $r[piutang];
$persed 	= $r[persed];
$labapb  	= $r[laba_pb];
$jualbbm	= $r[jual_bbm];
$hppbbm		= $r[hpp_bbm];
$labarugi	= $r[laba_rugi];
$prem    	= $r[premium];
$solar   	= $r[solar];
$ptmx    	= $r[pertamax];
$ptmp    	= $r[ptm_plus];
$ptlt    	= $r[pertalite];
$dex     	= $r[ptmn_dex];
$dexlite 	= $r[dexlite];
$solek   	= $r[solar_eko];
$nosubks 	= substr($kas,0,3);
$nosubpi 	= substr($piut,0,3);
$nosubps	= substr($persed,0,3);
$nosublp	= substr($labapb,0,3);
$nosubjl 	= substr($jualbbm,0,3);
$nosubhp	= substr($hppbbm,0,3);
$nosublr 	= substr($labarugi,0,3);

$sql 	= mysql_query("SELECT * FROM $table WHERE kode_sb='$kode' GROUP BY kode_sb ");
$row 	= mysql_num_rows($sql);
If($row>0){
	$r=mysql_fetch_assoc($sql);
	$idbon =$r[id_bon];
	mysql_query("UPDATE $table SET jml_keluar='$jmlkeluar',jml_tera='$jmltera',jml_bon='$jmlbon',jml_tunai='$jmltunai',nilai_tunai='$nilaitunai',hpp_tunai='$hpptunai',batal='' WHERE kode_sb='$kode' AND id_bon='$idbon'");
}else
	mysql_query("INSERT INTO $table (kode_sb,tanggal,shift,kode_tl,jenis,tanki,petugas,teller_aw,teller_ak,jml_keluar,jml_tera,jml_bon,jml_tunai,nilai_tunai,hpp_tunai,user) VALUES('$kode','$tanggal','$shift','$kodetl','$jenis','$tanki','$petugas','$telleraw','$tellerak','$jmlkeluar','$jmltera','$jmlbon','$jmltunai','$nilaitunai','$hpptunai','$user')");

if($jenis=='Premium')
	$kodest=$prem;
else if($jenis=='Bio Solar')
	$kodest=$solar;
else if($jenis=='Pertamax')
	$kodest=$ptmx;
else if($jenis=='Pertamax Turbo')
	$kodest=$ptmp;
else if($jenis=='Pertalite')
	$kodest=$ptlt;
else if($jenis=='Pertamina Dex')
	$kodest=$dex;
else if($jenis=='Dexlite')
	$kodest=$dexlite;
else if($jenis=='Solar Keekonomian')
	$kodest=$solek;

$bpjual = $jualbbm.substr($kodest,2,4);
$bphpp = $hppbbm.substr($kodest,2,4);

$sql1 	= mysql_query("SELECT * FROM stock WHERE kode_st='$kodest' ORDER BY kode_st");
$r1		= mysql_fetch_assoc($sql1);
$hgbeli=$r1[hg_beli];

if($tanki=='1'){
	mysql_query("UPDATE stock SET jml_gd1=jml_gd1-$jmlliter WHERE kode_st='$kodest' ");
}else if($tanki=='2')
	mysql_query("UPDATE stock SET jml_gd2=jml_gd2-$jmlliter WHERE kode_st='$kodest' ");
else if($tanki=='3')
	mysql_query("UPDATE stock SET jml_gd3=jml_gd3-$jmlliter WHERE kode_st='$kodest' ");

if(!($jmltunai=='0')){
	mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,keterangan,gudang,keluar,harga,user) VALUES('$kode','BBM','$tanggal','$kode','1','$kodest','Penjualan BBM shift $shift teller $kodetl tunai','$tanki','$jmltunai','$hgbeli','$user')");
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$nilaitunai WHERE noakun='$kas'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','1','$kas','$nosubks','$nilaitunai','Setoran $jenis shift $shift teller $kodetl','$user')");
}

if(!$jmlbon=='0'){
	mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,keterangan,gudang,keluar,harga,user) VALUES('$kode','BBM','$tanggal','$kode','2','$kodest','Penjualan BBM shift $shift teller $kodetl kredit','$tanki','$jmlbon','$hgbeli','$user')");
	$sql1 = mysql_query("SELECT * FROM $table WHERE kode_sb='$kode' AND batal=''");
	
	$nilbon=0;
	$hppbon=0;
	$nourut=1;
	while ($r1=mysql_fetch_array($sql1)){
		$kodepl		=$r1[kode_pl];
		$namapl		=$r1[nama_pl];
		$nofak		=$kode.$r1[id_bon];
		$nopol		=$r1[nopol];		
		$jmlnopol	=$r1[jml_nopol];
		$nilainopol	=$r1[nilai_nopol];		
		$bppiut		=$piut.$kodepl;
		$nilbon		=$nilbon+$r1[nilai_nopol];
		$hppbon		=$hppbon+$r1[hpp_nopol];
		
		mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$nilainopol WHERE noakun='$bppiut'");
		mysql_query("INSERT INTO piutang (kode_pl,nama,nofak,tanggal,nopol,jml_liter,jumlah) VALUES('$kodepl','$namapl','$nofak','$tanggal','$nopol','$jmlnopol','$nilainopol')");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','$nourut','$piut','$nosubpi','$bppiut','$nilainopol','$jenis kredit shift $shift teller $kodetl $nopol','$user')");
		$nourut++;
	}
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$nilbon WHERE noakun='$piut'");
}
$niljual 	= $nilaitunai+$nilbon;
$hppjual	= $hpptunai+$hppbon;
$laba		= $niljual-$hppjual;

mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$niljual WHERE noakun='$jualbbm'");
mysql_query("UPDATE akun_bp SET mutasi_kd=mutasi_kd+$niljual WHERE noakun='$bpjual'");
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,kredit,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','$nourut','$jualbbm','$nosubjl','$bpjual','$niljual','Penjualan $jenis shift $shift teller $kodetl','$user')");

mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$hppjual WHERE noakun='$hppbbm'");
mysql_query("UPDATE akun_bp SET mutasi_db=mutasi_db+$hppjual WHERE noakun='$bphpp'");
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,nobp,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','$nourut','$hppbbm','$nosubhp','$bphpp','$hppjual','Penjualan $jenis shift $shift teller $kodetl','$user')");

mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$hppjual WHERE noakun='$persed'");
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,kredit,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','$nourut','$persed','$nosubps','$hppjual','Penjualan $jenis shift $shift teller $kodetl','$user')");

mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$laba WHERE noakun='$labapb'");		
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,kredit,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','$nourut','$labapb','$nosublp','$laba','Penjualan $jenis shift $shift teller $kodetl','$user')");

mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$laba WHERE noakun='$labarugi'");
mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,no_urut,noakun,nosub,debet,keterangan,user) VALUES('$kode','BBM','$tanggal','$kode','$nourut','$labarugi','$nosublr','$laba','Penjualan $jenis shift $shift teller $kodetl','$user')");

mysql_query("UPDATE teller SET angka_tl='$tellerak' WHERE kode_tl='$kodetl'");
mysql_query("UPDATE setor_bbm SET posting='P' WHERE kode_sb='$kode'");
?>